For the complete documentation index, see llms.txt. This page is also available as Markdown.

Partners

Get partner by UUID

get
Path parameters
UUIDstringRequired

Unique partner id.

Example: 76914d95-f2a9-47aa-9090-de90e529ce98
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

Returns partner object

application/json
get/channelmanager/partners/{UUID}
GET /rest/6.0/channelmanager/partners/{UUID} HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
{
  "Items": [
    {
      "UUID": "9574d048-21cb-4c7c-bb15-d1c99cbdde75",
      "PartnerCode": "ABC123",
      "CompanyCommercialName": "Blue Sky Company",
      "Address": "Elm Street 112",
      "City": "Toronto",
      "StateOrProvince": "Ontario",
      "Zip": 5514,
      "FirstName": "Jonathan",
      "LastName": "Smith",
      "Position": "manager",
      "Email": "jonathan.smith@mail.com",
      "Website": "bluesky.com",
      "PhoneNumber": 98765432123,
      "MobilePhone": 8179186432,
      "CommunicationLanguage": "en",
      "Country": "ca"
    }
  ]
}

Update partner user by UUID

put

Update partner user by UUID

Path parameters
UUIDstringRequired

Unique partner id.

Example: 76914d95-f2a9-47aa-9090-de90e529ce98
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Body
ProductCodestringOptional

Product code

ProductNamestringOptional

Product name

Responses
200

OK

application/json
UUIDstringOptionalExample: 9574d048-21cb-4c7c-bb15-d1c99cbdde75
PartnerCodestringOptionalExample: ABC123
CompanyCommercialNamestringOptionalExample: Blue Sky Company
AddressstringOptionalExample: Elm Street 112
CitystringOptionalExample: Toronto
StateOrProvincestringOptionalExample: Ontario
ZipstringOptionalExample: 5514
FirstNamestringOptionalExample: Jonathan
LastNamestringOptionalExample: Smith
PositionstringOptionalExample: manager
EmailstringOptionalExample: jonathan.smith@mail.com
WebsitestringOptionalExample: bluesky.com
PhoneNumberstringOptionalExample: 98765432123
MobilePhonestringOptionalExample: 8179186432
CommunicationLanguagestringOptionalExample: en
CountrystringOptionalExample: ca
put/channelmanager/partners/{UUID}
PUT /rest/6.0/channelmanager/partners/{UUID} HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Content-Type: application/json
Content-Length: 545

{
  "AvailableCancellationReasons": {
    "REASON_CODE_3": "Prefer to manually renew my subscription",
    "REASON_CODE_1": "Not satisfied with the product/service",
    "REASON_CODE_5": "Don't need the product/service any more",
    "REASON_CODE_9": "Price reasons",
    "REASON_CODE_6": "Want to pause my subscription",
    "REASON_CODE_7": "Other (specify below)"
  },
  "Campaigns": [
    {
      "Code": "HUJQ2GJIWGBO8F1YPPEX",
      "Name": "AETCOE28071_2",
      "DefaultMessage": "test2",
      "CancellationReasonRequired": true,
      "OfferPause": false,
      "OfferDiscount": {
        "Message": "",
        "Discount": "19.99",
        "BillingCycles": "4"
      }
    }
  ]
}
{
  "UUID": "9574d048-21cb-4c7c-bb15-d1c99cbdde75",
  "PartnerCode": "ABC123",
  "CompanyCommercialName": "Blue Sky Company",
  "Address": "Elm Street 112",
  "City": "Toronto",
  "StateOrProvince": "Ontario",
  "Zip": 5514,
  "FirstName": "Jonathan",
  "LastName": "Smith",
  "Position": "manager",
  "Email": "jonathan.smith@mail.com",
  "Website": "bluesky.com",
  "PhoneNumber": 98765432123,
  "MobilePhone": 8179186432,
  "CommunicationLanguage": "en",
  "Country": "ca"
}

Search partners by filter

get
Query parameters
partnerCodestringOptionalExample: ABC123
companyNamestringOptionalExample: Blue Sky Company
addressstringOptionalExample: Elm Street 112
citystringOptionalExample: Toronto
countrystringOptionalExample: ca
statestringOptionalExample: Ontario
zipstringOptionalExample: 5514
firstNamestringOptionalExample: Jonathan
lastNamestringOptionalExample: Smith
positionstringOptionalExample: manager
communicationLanguagestringOptionalExample: en
emailstringOptionalExample: jonathan.smith@mail.com
websitestringOptionalExample: bluesky.com
phonestringOptionalExample: 2345612
mobilestringOptionalExample: 237785612
pagenumberOptionalExample: 3
limitnumberOptionalExample: 15
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

Returns crossSell campaign collection

application/json
UUIDstringOptionalExample: 9574d048-21cb-4c7c-bb15-d1c99cbdde75
PartnerCodestringOptionalExample: ABC123
CompanyCommercialNamestringOptionalExample: Blue Sky Company
AddressstringOptionalExample: Elm Street 112
CitystringOptionalExample: Toronto
StateOrProvincestringOptionalExample: Ontario
ZipstringOptionalExample: 5514
FirstNamestringOptionalExample: Jonathan
LastNamestringOptionalExample: Smith
PositionstringOptionalExample: manager
EmailstringOptionalExample: jonathan.smith@mail.com
WebsitestringOptionalExample: bluesky.com
PhoneNumberstringOptionalExample: 98765432123
MobilePhonestringOptionalExample: 8179186432
CommunicationLanguagestringOptionalExample: en
CountrystringOptionalExample: ca
CurrencystringOptionalExample: USD
Statusstring · enumOptionalPossible values:
get/channelmanager/partners
GET /rest/6.0/channelmanager/partners HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
[
  {
    "UUID": "9574d048-21cb-4c7c-bb15-d1c99cbdde75",
    "PartnerCode": "ABC123",
    "CompanyCommercialName": "Blue Sky Company",
    "Address": "Elm Street 112",
    "City": "Toronto",
    "StateOrProvince": "Ontario",
    "Zip": 5514,
    "FirstName": "Jonathan",
    "LastName": "Smith",
    "Position": "manager",
    "Email": "jonathan.smith@mail.com",
    "Website": "bluesky.com",
    "PhoneNumber": 98765432123,
    "MobilePhone": 8179186432,
    "CommunicationLanguage": "en",
    "Country": "ca",
    "Currency": "USD",
    "Status": "PENDING",
    "FinancialDetails": {
      "CompanyRegistrationName": "text",
      "Address": "text",
      "City": "text",
      "Zip": "text",
      "Country": "text",
      "State": "text",
      "GenerateInvoiceMethod": "MANUAL",
      "CanCreateProformas": 0
    }
  }
]

Create partner

post

Create partner

Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Body
PartnerCodestringOptional

Unique identifier that you need to specify when creating a partner in the Control Panel. You can find it under the General Information area when editing partner details.

Example: ABC123
CompanyCommercialNamestringOptional

The commercial name of your partner company.

Example: Blue Sky Company
AddressstringOptional

Reseller address. Can be NULL.

Example: Elm Street 112
CitystringOptional

Reseller city. Can be NULL.

Example: Toronto
StateOrProvincestringOptional

Reseller state. For example, "Alabama","Alaska","Arizona". Can be NULL.

Example: Ontario
ZipstringOptional

Reseller ZIP code. Can be NULL.

Example: 5514
FirstNamestringOptional

Reseller first name.

Example: Jonathan
LastNamestringOptional

Reseller last name.

Example: Smith
PositionstringOptional

Position

Example: manager
EmailstringOptional

Reseller email.

Example: jonathan.smith@mail.com
WebsitestringOptional

Website

Example: bluesky.com
PhoneNumberstringOptional

Phone number

Example: 98765432123
MobilePhonestringOptional

Mobile phone number

Example: 8179186432
CommunicationLanguagestringOptional

ISO 639-1 two-letter language code set for the communication language under Contact information.

Example: en
CountrystringOptional

Reseller country ISO language code (ISO 639-1 two-letter code).

Example: ca
Responses
200

OK

application/json
UUIDstringOptionalExample: 9574d048-21cb-4c7c-bb15-d1c99cbdde75
PartnerCodestringOptionalExample: ABC123
CompanyCommercialNamestringOptionalExample: Blue Sky Company
AddressstringOptionalExample: Elm Street 112
CitystringOptionalExample: Toronto
StateOrProvincestringOptionalExample: Ontario
ZipstringOptionalExample: 5514
FirstNamestringOptionalExample: Jonathan
LastNamestringOptionalExample: Smith
PositionstringOptionalExample: manager
EmailstringOptionalExample: jonathan.smith@mail.com
WebsitestringOptionalExample: bluesky.com
PhoneNumberstringOptionalExample: 98765432123
MobilePhonestringOptionalExample: 8179186432
CommunicationLanguagestringOptionalExample: en
CountrystringOptionalExample: ca
post/channelmanager/partners
POST /rest/6.0/channelmanager/partners HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Content-Type: application/json
Content-Length: 552

{
  "PartnerCode": "ABC123",
  "CompanyCommercialName": "Blue Sky Company",
  "Address": "Elm Street 112",
  "City": "Toronto",
  "StateOrProvince": "Ontario",
  "Zip": 5514,
  "FirstName": "Jonathan",
  "LastName": "Smith",
  "Position": "manager",
  "Email": "jonathan.smith@mail.com",
  "Website": "bluesky.com",
  "PhoneNumber": 98765432123,
  "MobilePhone": 8179186432,
  "CommunicationLanguage": "en",
  "Country": "ca",
  "FinancialDetails": {
    "CompanyRegistrationName": "text",
    "Address": "text",
    "City": "text",
    "Zip": "text",
    "Country": "text",
    "State": "text",
    "GenerateInvoiceMethod": "MANUAL",
    "CanCreateProformas": 0
  }
}
{
  "UUID": "9574d048-21cb-4c7c-bb15-d1c99cbdde75",
  "PartnerCode": "ABC123",
  "CompanyCommercialName": "Blue Sky Company",
  "Address": "Elm Street 112",
  "City": "Toronto",
  "StateOrProvince": "Ontario",
  "Zip": 5514,
  "FirstName": "Jonathan",
  "LastName": "Smith",
  "Position": "manager",
  "Email": "jonathan.smith@mail.com",
  "Website": "bluesky.com",
  "PhoneNumber": 98765432123,
  "MobilePhone": 8179186432,
  "CommunicationLanguage": "en",
  "Country": "ca"
}

Create partner user

post

Create partner user

Path parameters
UUIDstringRequired

Unique partner id.

Example: 76914d95-f2a9-47aa-9090-de90e529ce98
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Body
EmailstringRequired

Partner user's email address

Example: jonathan.smith@mail.com
FirstNamestringRequired

Partner user's fisrt name

Example: Jonathan
LastNamestringRequired

Partner user's last name

Example: Smith
PositionstringOptional

Partner user's position

Example: manager
PhoneNumberstringRequired

Partner user's phone number

Example: 98765432123
MobilePhonestringOptional

Partner user's mobil phone number

Example: 8179186432
Statusstring · enumRequired

Partner user's status

Example: ACTIVEPossible values:
Responses
200

OK

application/json
UUIDstringOptionalExample: 9574d048-21cb-4c7c-bb15-d1c99cbdde75
EmailstringOptionalExample: jonathan.smith@mail.com
FirstNamestringOptionalExample: Jonathan
LastNamestringOptionalExample: Smith
PositionstringOptionalExample: manager
PhoneNumberstringOptionalExample: 98765432123
MobilePhonestringOptionalExample: 8179186432
StatusstringOptionalExample: ACTIVE
post/channelmanager/partners/{UUID}/users
POST /rest/6.0/channelmanager/partners/{UUID}/users HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Content-Type: application/json
Content-Length: 167

{
  "Email": "jonathan.smith@mail.com",
  "FirstName": "Jonathan",
  "LastName": "Smith",
  "Position": "manager",
  "PhoneNumber": 98765432123,
  "MobilePhone": 8179186432,
  "Status": "ACTIVE"
}
{
  "UUID": "9574d048-21cb-4c7c-bb15-d1c99cbdde75",
  "Email": "jonathan.smith@mail.com",
  "FirstName": "Jonathan",
  "LastName": "Smith",
  "Position": "manager",
  "PhoneNumber": 98765432123,
  "MobilePhone": 8179186432,
  "Status": "ACTIVE"
}

Update partner user by UUID

put

Update partner user by UUID

Path parameters
UUIDstringRequired

Unique partner id.

Example: 76914d95-f2a9-47aa-9090-de90e529ce98
partnerUserUUIDstringRequired

Unique partner user id.

Example: 76914d95-f2a9-47aa-9090-de90e529ce77
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Body
EmailstringRequired

Partner user's email address

Example: jonathan.smith@mail.com
FirstNamestringRequired

Partner user's fisrt name

Example: Jonathan
LastNamestringRequired

Partner user's last name

Example: Smith
PositionstringOptional

Partner user's position

Example: manager
PhoneNumberstringRequired

Partner user's phone number

Example: 98765432123
MobilePhonestringOptional

Partner user's mobil phone number

Example: 8179186432
Statusstring · enumRequired

Partner user's status

Example: ACTIVEPossible values:
Responses
200

OK

application/json
UUIDstringOptionalExample: 9574d048-21cb-4c7c-bb15-d1c99cbdde75
EmailstringOptionalExample: jonathan.smith@mail.com
FirstNamestringOptionalExample: Jonathan
LastNamestringOptionalExample: Smith
PositionstringOptionalExample: manager
PhoneNumberstringOptionalExample: 98765432123
MobilePhonestringOptionalExample: 8179186432
StatusstringOptionalExample: ACTIVE
put/channelmanager/partners/{UUID}/users/{partnerUserUUID}
PUT /rest/6.0/channelmanager/partners/{UUID}/users/{partnerUserUUID} HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Content-Type: application/json
Content-Length: 167

{
  "Email": "jonathan.smith@mail.com",
  "FirstName": "Jonathan",
  "LastName": "Smith",
  "Position": "manager",
  "PhoneNumber": 98765432123,
  "MobilePhone": 8179186432,
  "Status": "ACTIVE"
}
{
  "UUID": "9574d048-21cb-4c7c-bb15-d1c99cbdde75",
  "Email": "jonathan.smith@mail.com",
  "FirstName": "Jonathan",
  "LastName": "Smith",
  "Position": "manager",
  "PhoneNumber": 98765432123,
  "MobilePhone": 8179186432,
  "Status": "ACTIVE"
}

Delete partner user

delete

Delete partner user

Path parameters
UUIDstringRequired

Unique partner id.

Example: 76914d95-f2a9-47aa-9090-de90e529ce98
partnerUserUUIDstringRequired

Unique partner user id.

Example: 76914d95-f2a9-47aa-9090-de90e529ce77
Header parameters
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

Response of the partner delete

application/json
booleanOptional
delete/channelmanager/partners/{UUID}/users/{partnerUserUUID}
DELETE /rest/6.0/channelmanager/partners/{UUID}/users/{partnerUserUUID} HTTP/1.1
Host: api.2checkout.com
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Accept: */*
true

Get User for a Partner by email

get
Path parameters
UUIDstringRequired

Unique partner user id.

Example: 76914d95-f2a9-47aa-9090-de90e529ce77
emailstringRequiredExample: jonathan.smith@mail.com
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

Returns the user of partners

application/json
UUIDstringOptionalExample: 9574d048-21cb-4c7c-bb15-d1c99cbdde75
EmailstringOptionalExample: jonathan.smith@mail.com
FirstNamestringOptionalExample: Jonathan
LastNamestringOptionalExample: Smith
PositionstringOptionalExample: manager
PhoneNumberstringOptionalExample: 98765432123
MobilePhonestringOptionalExample: 8179186432
StatusstringOptionalExample: ACTIVE
get/channelmanager/partners/{UUID}/users/{email}
GET /rest/6.0/channelmanager/partners/{UUID}/users/{email} HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
{
  "UUID": "9574d048-21cb-4c7c-bb15-d1c99cbdde75",
  "Email": "jonathan.smith@mail.com",
  "FirstName": "Jonathan",
  "LastName": "Smith",
  "Position": "manager",
  "PhoneNumber": 98765432123,
  "MobilePhone": 8179186432,
  "Status": "ACTIVE"
}

Last updated

Was this helpful?